Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.save
Interface Saveable

All Known Subinterfaces:
  Database, DocumentBase, DocumentBaseOAIHarvester, Repository, SDXThesaurus

All Known Implementing Classes:
  AbstractDatabase, AbstractDatabaseBackedRepository, AbstractDataSourceComponentBackedRepository, AbstractDocumentBase, AbstractDocumentBaseOAIHarvester, AbstractJDBCDatabase, AbstractRepository, AbstractThesaurus, Application, FSRepository, HSQLDatabase, HSQLRepository, JDBCDatabase, JDBCRepository, LuceneDatabase, LuceneDataStore, LuceneDocumentBase, LuceneDocumentBaseOAIHarvester, LuceneIndex, LuceneThesaurus, MSSQLDatabase, MSSQLRepository, MYSQLDatabase, MYSQLRepository, ORACLEDatabase, ORACLERepository, POSTGRESQLDatabase, POSTGRESQLRepository, SDXDocumentBase, URLRepository, UserDatabase

    public interface Saveable

Author:
  jlecren This interface lets an object to save and restore its data.

Field Summary
`static java.lang.String` | `ALL_SAVE_ATTRIB` Attribute of the save configuration file
`static java.lang.String` | `PATH_ATTRIB`
`static java.lang.String` | `SAVE_DIRECTORY_PARAM` Constants to retrieve the save directory in the SaveParameters

Method Summary
`void` | `backup(SaveParameters save_config)` The backup method gives a way to an object to save its data
`void` | `restore(SaveParameters save_config)` The restore method gives a way to an object to restore its data from a backup.

Field Detail

### SAVE_DIRECTORY_PARAM

    static final java.lang.String SAVE_DIRECTORY_PARAM

  Constants to retrieve the save directory in the SaveParameters

  See Also:
    Constant Field Values

### ALL_SAVE_ATTRIB

    static final java.lang.String ALL_SAVE_ATTRIB

  Attribute of the save configuration file

  See Also:
    Constant Field Values

### PATH_ATTRIB

    static final java.lang.String PATH_ATTRIB

See Also:
  Constant Field Values

Method Detail

### backup

    void backup(SaveParameters save_config)
                throws SDXException

  The backup method gives a way to an object to save its data

  Parameters:
    `save-config` - contains the save-directory and other options (among the implementations)
  Throws:
    `an` - SDXException if there is an error
    `SDXException`

### restore

    void restore(SaveParameters save_config)
                 throws SDXException

  The restore method gives a way to an object to restore its data from a backup.

  Parameters:
    `save_config` -
  Throws:
    `an` - SDXException if there is an error
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.